/**
 * @file main.c
 * @author Jake G
 * @date 15 June 2024
 * @brief File contains the main function.
 *
 * This file contains the main logic loop and exists to setup the values 
 * specific to the micro-controller. All other functions and configuration are
 * extracted into separate source files and headers for configuration.
 */

#define F_CPU 3333333UL

//This can prevent issues with utils/delay.h library with the gcc toolchain
#define __DELAY_BACKWARD_COMPATIBLE__

#include "config.h"
#include "RegEdit.h"
#include "timer.h"
#include <avr/cpufunc.h> /* Required header file */
#include <avr/io.h>
#include <util/delay.h>



//Set the function pointer for the delay func
void (*Delay_MicroSeconds)(double us) = _delay_us;


int main(int argc, char **argv)
{ 



    while(true){
        ;   //Do nothing until new Power cycle/reset occurs
    }
}
